Package ghidra.app.util.bin.format.xcoff

# Class XCoffFileHeaderFlags

java.lang.Object
ghidra.app.util.bin.format.xcoff.XCoffFileHeaderFlags

public final class XCoffFileHeaderFlags extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `F_AR16WR`
  file is 16-bit little-endian
  `static final int`
  `F_AR32W`
  file is 32-bit big-endian
  `static final int`
  `F_AR32WR`
  file is 32-bit little-endian
  `static final int`
  `F_DSA`
  file uses Very Large Program Support
  `static final int`
  `F_DYNLOAD`
  rs/6000 aix: dynamically loadable w/imports and exports
  `static final int`
  `F_EXEC`
  file is executable (no unresolved external references)
  `static final int`
  `F_FDPR_OPTI`
  file was reordered with fdpr command
  `static final int`
  `F_FDPR_PROF`
  file was profiled with fdpr command
  `static final int`
  `F_LNNO`
  line numbers stripped from file
  `static final int`
  `F_LOADONLY`
  rs/6000 aix: if the object file is a member of an archive it can be loaded by the system loader but the member is ignored by the binder.
  `static final int`
  `F_LSYMS`
  local symbols stripped from file
  `static final int`
  `F_RELFLG`
  relocation info stripped from file
  `static final int`
  `F_SHROBJ`
  rs/6000 aix: file is a shared object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XCoffFileHeaderFlags()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final boolean`
  `isDebug(XCoffFileHeader header)`
  `static final boolean`
  `isExec(XCoffFileHeader header)`
  `static final boolean`
  `isStrip(XCoffFileHeader header)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### F_RELFLG

    public static final int F_RELFLG
    relocation info stripped from file
    See Also:
      - Constant Field Values

  - ### F_EXEC

    public static final int F_EXEC
    file is executable (no unresolved external references)
    See Also:
      - Constant Field Values

  - ### F_LNNO

    public static final int F_LNNO
    line numbers stripped from file
    See Also:
      - Constant Field Values

  - ### F_LSYMS

    public static final int F_LSYMS
    local symbols stripped from file
    See Also:
      - Constant Field Values

  - ### F_FDPR_PROF

    public static final int F_FDPR_PROF
    file was profiled with fdpr command
    See Also:
      - Constant Field Values

  - ### F_FDPR_OPTI

    public static final int F_FDPR_OPTI
    file was reordered with fdpr command
    See Also:
      - Constant Field Values

  - ### F_DSA

    public static final int F_DSA
    file uses Very Large Program Support
    See Also:
      - Constant Field Values

  - ### F_AR16WR

    public static final int F_AR16WR
    file is 16-bit little-endian
    See Also:
      - Constant Field Values

  - ### F_AR32WR

    public static final int F_AR32WR
    file is 32-bit little-endian
    See Also:
      - Constant Field Values

  - ### F_AR32W

    public static final int F_AR32W
    file is 32-bit big-endian
    See Also:
      - Constant Field Values

  - ### F_DYNLOAD

    public static final int F_DYNLOAD
    rs/6000 aix: dynamically loadable w/imports and exports
    See Also:
      - Constant Field Values

  - ### F_SHROBJ

    public static final int F_SHROBJ
    rs/6000 aix: file is a shared object
    See Also:
      - Constant Field Values

  - ### F_LOADONLY

    public static final int F_LOADONLY
    rs/6000 aix: if the object file is a member of an archive it can be loaded by the system loader but the member is ignored by the binder.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### XCoffFileHeaderFlags

    public XCoffFileHeaderFlags()

- ## Method Details

  - ### isStrip

    public static final boolean isStrip(XCoffFileHeader header)

  - ### isExec

    public static final boolean isExec(XCoffFileHeader header)

  - ### isDebug

    public static final boolean isDebug(XCoffFileHeader header)